Subject: RE: embedding ipv4 addresses in ipv6 address text representation

From: "Dave Thaler" <[email-masked]>
Date: Tue, 4 Sep 2001 12:07:28 -0700

I agree with Brian.

For ISATAP, dotted-decimal is fine, since it appears at the
end just like for v4-compat and v4-mapped.

For 6to4, it's too problematic to change it, so I agree
it should stay hex.

-Dave

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Tuesday, September 04, 2001 11:02 AM
> To: Marc Blanchet
> Cc: [email-masked]
> Subject: Re: embedding ipv4 addresses in ipv6 address text
representation
> 
> Marc Blanchet wrote:
> >
> > We do provide the ability to write IPv4 addresses in IPv6 addresses
for
> > ipv4-compatible and
> > ipv4-mapped. It would be very useful and more normalized to be able
to
> use
> > IPv4 addresses in IPv6
> > addresses for the transition mechanisms that embed IPv4 addresses,
ex:
> 6to4.
> >
> > Any objection?
> 
> For a 6to4 prefix, I think it would be very confusing to use
> dotted decimal, since we would see a full address starting
> in hex, continuing in decimal, and reverting to hex at the end.
> In other words, 6to4 addresses derived from 9.254.253.252
> should be written 2002:09fe:fdfc:...
> 
> My $0.02
> 
>   Brian
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------